export interface ApifoxModel {
  code?: null | string;
  data?: SignPrepareResult[] | null;
  message?: null | string;
  pageCount?: number | null;
  pageNum?: number | null;
  pageSize?: number | null;
  success?: boolean | null;
  total?: number | null;
}

/** params - 获取签署合同信息 */
export interface ContractListParams {
  /**
   * 多个合同号用逗号拼接
   */
  contractNoArr?: string;
  signOrPreview: string | number;
}

/** res - 获取签署合同信息 */
export interface ContractListResult {
  /**
   * 合同文件地址
   */
  contractFileObjectKey?: null | string;
  /**
   * 合同号
   */
  contractNo: string;
  /**
   * 关键字
   */
  keyWord: string;
  /**
   * 印章集合
   */
  stampResultList: StampResult[];
}

/** res - 印章信息 */
export interface StampResult {
  /**
   * 是否启用
   */
  enable?: null | string;
  /**
   * 印章顺序(0是默认章，从1开始)
   */
  order?: number | null;
  /**
   * 印章地址
   */
  stampAddress?: string;
  /**
   * 印章ID
   */
  stampId?: null | string;
  /**
   * 印章名称
   */
  stampName?: null | string;
  /**
   * 印章用途
   */
  stampType?: null | string;
}

/** params - 签章批量签署 */
export interface SignBatchChildParams {
  /**
   * 合同号
   */
  contractNo?: null | string;
  /**
   * 签章信息
   */
  stampDTOList?: StampDTO[] | null;
}
export interface SignBatchParams {
  /**
   * 合同信息key
   */
  signContractVOList: SignBatchChildParams[]
}

/** params - 印章信息 */
export interface StampDTO {
  /**
   * 企业ID
   */
  memberId?: null | string;
  /**
   * 印章ID,如无指定, 用默认印章
   */
  stampId?: null | string;
}

/** params - 印章信息 */
export interface ExtReqResult {
  contractContent?: null | string;
  contractId?: null | string;
  extReqLogId?: null | string;
}
// /** params - 印章信息 */
// export interface ExtReqChildResult {
//   contractContent?: null | string;
//   contractId?: null | string;
//   extReqLogId?: null | string;
// }


//** ----------------------------------------------------- */

/** params - 云签状态 */
export interface TemplateStatusParams {
  /**
   * 云签模版ID
   */
  agreementType: string;
}

/** params - 云签模版 */
export interface TemplateContentParams {
  /**
   * 云签模版ID
   */
  type?: null | string;
}

/** res - 云签模版 */
export interface TemplateContentResult {
  agreementName: string;
  templateHtml: string;
  agreementType: string;
  templateId: string;
}

//** ----------------------------------------------------- */

/** params - 云签确认 */
export interface TemplateConfirmParams {
  isflag: number;
  templateId: string;
  agreementType: string;
}

/** params - 发送验证码 */
export interface SendCaptchaParams {
  businessNo?: string;
  businessType?: string;
  billType?: string;
}

/** params - 验证验证码 */
export interface VerifyCaptchaParams extends SendCaptchaParams {
  captcha: string;
}
