const baseUrl = import.meta.env.VITE_BASE_URL;
const basePrefix = import.meta.env.VITE_BASE_PREFIX;

interface IUrlParams {
  [propsName: string]: any
}

/** 统一 - get和post请求书写方式 */
export function tansParams(params: any): string {
  let result = ''
  for (const propName of Object.keys(params)) {
    const value = params[propName];
    const part = encodeURIComponent(propName) + "=";
    if (value !== null && typeof (value) !== "undefined") {
      if (typeof value === 'object') {
        for (const key of Object.keys(value)) {
          if (value[key] !== null && typeof (value[key]) !== 'undefined') {
            const params = propName + '[' + key + ']';
            const subPart = encodeURIComponent(params) + "=";
            result += subPart + encodeURIComponent(value[key]) + "&";
          }
        }
      } else {
        result += part + encodeURIComponent(value) + "&";
      }
    }
  }
  return result;
}

/** localhost - methods */
export class LocalCache {
  static setCath(key: string, value: any) {
    window.localStorage.setItem(key, JSON.stringify(value));
  }
  static getCache(key: string) {
    const value = window.localStorage.getItem(key);
    return value ? JSON.parse(value) : {};
  }
  static deleteCatch(key: string) {
    window.localStorage.removeItem(key);
  }
  static clearCache() {
    window.localStorage.clear();
  }
}

// get file path
export const getPreviewPath = (fileObjectKey = '') => {
  return baseUrl + basePrefix + "/auth/t/queryFiles?fileName=" + new Date().getTime() + ".pdf&fileObjectKey=" + fileObjectKey;
}

export const getQueryParamsAsObject = (url?: string) => {
  url = url || window.location.href;

  const queryString = url.split('?')[1];

  if (!queryString) {
    return {};
  }

  const queryParams = queryString.split('&');

  const paramsObj:IUrlParams = {};

  queryParams.forEach(function(param) {
    const parts = param.split('=');
    const key = decodeURIComponent(parts[0]);
    const value = decodeURIComponent(parts[1]);
    paramsObj[key] = value;
  });

  return paramsObj;
}